Component({
  data: {
    selected: '',
    color: "#1F243A",
    selectedColor: "#E3B377",
    list: [],
  },
  lifetimes: {
    // 生命周期函数，可以为函数，或一个在methods段中定义的方法名
    attached: function () {},
    moved: function () { },
    detached: function () { },
  },
  pageLifetimes: {
    // 组件所在页面的生命周期函数
    show: function () { },
    hide: function () { },
    resize: function () { },
  },
  methods: {
    switchTab(e) {
      const data = e.currentTarget.dataset;
      const url = "/" + data.path;
      wx.switchTab({ url });
    },
  },
});
